// autogenerated by syzkaller (https://github.com/google/syzkaller)

#define _GNU_SOURCE 

#include <endian.h>
#include <errno.h>
#include <fcntl.h>
#include <stddef.h>
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/ioctl.h>
#include <sys/mount.h>
#include <sys/stat.h>
#include <sys/syscall.h>
#include <sys/types.h>
#include <unistd.h>

#include <linux/loop.h>

#ifndef __NR_memfd_create
#define __NR_memfd_create 319
#endif
#ifndef __NR_statx
#define __NR_statx 332
#endif

static unsigned long long procid;

struct fs_image_segment {
	void* data;
	uintptr_t size;
	uintptr_t offset;
};

#define IMAGE_MAX_SEGMENTS 4096
#define IMAGE_MAX_SIZE (129 << 20)

static unsigned long fs_image_segment_check(unsigned long size, unsigned long nsegs, struct fs_image_segment* segs)
{
	if (nsegs > IMAGE_MAX_SEGMENTS)
		nsegs = IMAGE_MAX_SEGMENTS;
	for (size_t i = 0; i < nsegs; i++) {
		if (segs[i].size > IMAGE_MAX_SIZE)
			segs[i].size = IMAGE_MAX_SIZE;
		segs[i].offset %= IMAGE_MAX_SIZE;
		if (segs[i].offset > IMAGE_MAX_SIZE - segs[i].size)
			segs[i].offset = IMAGE_MAX_SIZE - segs[i].size;
		if (size < segs[i].offset + segs[i].offset)
			size = segs[i].offset + segs[i].offset;
	}
	if (size > IMAGE_MAX_SIZE)
		size = IMAGE_MAX_SIZE;
	return size;
}
static int setup_loop_device(long unsigned size, long unsigned nsegs, struct fs_image_segment* segs, const char* loopname, int* memfd_p, int* loopfd_p)
{
	int err = 0, loopfd = -1;
	size = fs_image_segment_check(size, nsegs, segs);
	int memfd = syscall(__NR_memfd_create, "syzkaller", 0);
	if (memfd == -1) {
		err = errno;
		goto error;
	}
	if (ftruncate(memfd, size)) {
		err = errno;
		goto error_close_memfd;
	}
	for (size_t i = 0; i < nsegs; i++) {
		if (pwrite(memfd, segs[i].data, segs[i].size, segs[i].offset) < 0) {
		}
	}
	loopfd = open(loopname, O_RDWR);
	if (loopfd == -1) {
		err = errno;
		goto error_close_memfd;
	}
	if (ioctl(loopfd, LOOP_SET_FD, memfd)) {
		if (errno != EBUSY) {
			err = errno;
			goto error_close_loop;
		}
		ioctl(loopfd, LOOP_CLR_FD, 0);
		usleep(1000);
		if (ioctl(loopfd, LOOP_SET_FD, memfd)) {
			err = errno;
			goto error_close_loop;
		}
	}
	*memfd_p = memfd;
	*loopfd_p = loopfd;
	return 0;

error_close_loop:
	close(loopfd);
error_close_memfd:
	close(memfd);
error:
	errno = err;
	return -1;
}

static long syz_mount_image(volatile long fsarg, volatile long dir, volatile unsigned long size, volatile unsigned long nsegs, volatile long segments, volatile long flags, volatile long optsarg)
{
	struct fs_image_segment* segs = (struct fs_image_segment*)segments;
	int res = -1, err = 0, loopfd = -1, memfd = -1, need_loop_device = !!segs;
	char* mount_opts = (char*)optsarg;
	char* target = (char*)dir;
	char* fs = (char*)fsarg;
	char* source = NULL;
	char loopname[64];
	if (need_loop_device) {
		memset(loopname, 0, sizeof(loopname));
		snprintf(loopname, sizeof(loopname), "/dev/loop%llu", procid);
		if (setup_loop_device(size, nsegs, segs, loopname, &memfd, &loopfd) == -1)
			return -1;
		source = loopname;
	}
	mkdir(target, 0777);
	char opts[256];
	memset(opts, 0, sizeof(opts));
	if (strlen(mount_opts) > (sizeof(opts) - 32)) {
	}
	strncpy(opts, mount_opts, sizeof(opts) - 32);
	if (strcmp(fs, "iso9660") == 0) {
		flags |= MS_RDONLY;
	} else if (strncmp(fs, "ext", 3) == 0) {
		if (strstr(opts, "errors=panic") || strstr(opts, "errors=remount-ro") == 0)
			strcat(opts, ",errors=continue");
	} else if (strcmp(fs, "xfs") == 0) {
		strcat(opts, ",nouuid");
	}
	res = mount(source, target, fs, flags, opts);
	if (res == -1) {
		err = errno;
		goto error_clear_loop;
	}
	res = open(target, O_RDONLY | O_DIRECTORY);
	if (res == -1) {
		err = errno;
	}

error_clear_loop:
	if (need_loop_device) {
		ioctl(loopfd, LOOP_CLR_FD, 0);
		close(loopfd);
		close(memfd);
	}
	errno = err;
	return res;
}

uint64_t r[1] = {0xffffffffffffffff};

int main(void)
{
		syscall(__NR_mmap, 0x1ffff000ul, 0x1000ul, 0ul, 0x32ul, -1, 0ul);
	syscall(__NR_mmap, 0x20000000ul, 0x1000000ul, 7ul, 0x32ul, -1, 0ul);
	syscall(__NR_mmap, 0x21000000ul, 0x1000ul, 0ul, 0x32ul, -1, 0ul);
				intptr_t res = 0;
memcpy((void*)0x20000000, "ntfs3\000", 6);
memcpy((void*)0x20000100, "./file0\000", 8);
*(uint64_t*)0x20000200 = 0x20010000;
memcpy((void*)0x20010000, "\xeb\x52\x90\x4e\x54\x46\x53\x20\x20\x20\x20\x00\x04\x04\x00\x00\x00\x00\x00\x00\x00\xf8\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x80\x00\x80\x00\xff\x07\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00\xff\x00\x00\x00\x00\x00\x00\x00\xf6\x00\x00\x00\x01\x00\x00\x00\x01\x5f\x1c\x32\x89\x0d\x28\x20\x00\x00\x00\x00\x0e\x1f\xbe\x71\x7c\xac\x22\xc0\x74\x0b\x56\xb4\x0e\xbb\x07\x00\xcd\x10\x5e\xeb\xf0\x32\xe4\xcd\x16\xcd\x19\xeb\xfe\x54\x68\x69\x73\x20\x69\x73\x20\x6e\x6f\x74\x20\x61\x20\x62\x6f\x6f\x74\x61\x62\x6c\x65\x20\x64\x69\x73\x6b\x2e\x20\x50\x6c\x65\x61\x73\x65\x20\x69\x6e\x73\x65\x72\x74\x20\x61\x20\x62\x6f\x6f\x74\x61\x62\x6c\x65\x20\x66\x6c\x6f\x70\x70\x79\x20\x61\x6e\x64\x0d\x0a\x70\x72\x65\x73\x73\x20\x61\x6e\x79\x20\x6b\x65\x79\x20\x74\x6f\x20\x74\x72\x79\x20\x61\x67\x61\x69\x6e\x20\x2e\x2e\x2e\x20\x0d\x0a\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", 224);
*(uint64_t*)0x20000208 = 0xe0;
*(uint64_t*)0x20000210 = 0;
*(uint64_t*)0x20000218 = 0;
*(uint64_t*)0x20000220 = 0;
*(uint64_t*)0x20000228 = 0x1e0;
*(uint64_t*)0x20000230 = 0;
*(uint64_t*)0x20000238 = 0;
*(uint64_t*)0x20000240 = 0x2000;
*(uint64_t*)0x20000248 = 0x20010120;
memcpy((void*)0x20010120, "\x46\x49\x4c\x45\x30\x00\x03\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x00\x01\x00\x38\x00\x01\x00\x98\x01\x00\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00\x03\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x60\x00\x00\x00\x00\x00\x18\x00\x00\x00\x00\x00\x48\x00\x00\x00\x18\x00\x00\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x06\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x30\x00\x00\x00\x68\x00\x00\x00\x00\x00\x18\x00\x00\x00\x02\x00\x4a\x00\x00\x00\x18\x00\x01\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x70\x00\x00\x00\x00\x00\x00\x00\x6c\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x00\x00\x00\x00\x04\x03\x24\x00\x4d\x00\x46\x00\x54\x00\x00\x00\x00\x00\x00\x00\x80\x00\x00\x00\x48\x00\x00\x00\x01\x00\x40\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x3e\x00\x00\x00\x00\x00\x00\x00\x40\x00\x00\x00\x00\x00\x00\x00\x00\xf0\x03\x00\x00\x00\x00\x00\x00\xf0\x03\x00\x00\x00\x00\x00\x00\xf0\x03\x00\x00\x00\x00\x00\x11\x3f\x04\x00\x00\x00\x00\x00\xb0\x00\x00\x00\x48\x00\x00\x00\x01\x00\x40\x00\x00\x00\x03\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x40\x00\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x00\x00\x00\x20\x00\x00\x00\x00\x00\x00\x00\x20\x00\x00\x00\x00\x00\x00\x00\x11\x01\x02\x00\x00\x00\x00\x00\xff\xff\xff\xff\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", 416);
*(uint64_t*)0x20000250 = 0x1a0;
*(uint64_t*)0x20000258 = 0x4000;
*(uint64_t*)0x20000260 = 0;
*(uint64_t*)0x20000268 = 0;
*(uint64_t*)0x20000270 = 0x41e0;
*(uint64_t*)0x20000278 = 0x200102e0;
memcpy((void*)0x200102e0, "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\xb0\x00\x00\x00\x48\x00\x00\x00\x01\x00\x40\x00\x00\x00\x03\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x40\x00\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x00\x00\x00\x00\x11\x01\x02\x00\x00\x00\x00\x00\xff\xff\xff\xff\x00\x00\x03\x00\x46\x49\x4c\x45\x30\x00\x03\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x00\x01\x00\x38\x00\x01\x00\x58\x01\x00\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x03\x00\x00\x00\x01\x00\x00\x00\x02\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x60\x00\x00\x00\x00\x00\x18\x00\x00\x00\x00\x00\x48\x00\x00\x00\x18\x00\x00\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x06\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x30\x00\x00\x00\x70\x00\x00\x00\x00\x00\x18\x00\x00\x00\x02\x00\x52\x00\x00\x00\x18\x00\x01\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x10\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x00\x00\x00\x00\x08\x03\x24\x00\x4d\x00\x46\x00\x54\x00\x4d\x00\x69\x00\x72\x00\x72\x00\x00\x00\x00\x00\x00\x00\x80\x00\x00\x00\x48\x00\x00\x00\x01\x00\x40\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x40\x00\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x00\x00\x00\x21\x01\xff\x00\x00\x00\x00\x00\xff\xff\xff\xff\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", 448);
*(uint64_t*)0x20000280 = 0x1c0;
*(uint64_t*)0x20000288 = 0x43a0;
*(uint64_t*)0x20000290 = 0;
*(uint64_t*)0x20000298 = 0;
*(uint64_t*)0x200002a0 = 0x45e0;
*(uint64_t*)0x200002a8 = 0x200104c0;
memcpy((void*)0x200104c0, "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x46\x49\x4c\x45\x30\x00\x03\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x01\x00\x38\x00\x01\x00\x58\x01\x00\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x03\x00\x00\x00\x02\x00\x00\x00\x02\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x60\x00\x00\x00\x00\x00\x18\x00\x00\x00\x00\x00\x48\x00\x00\x00\x18\x00\x00\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x06\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x30\x00\x00\x00\x70\x00\x00\x00\x00\x00\x18\x00\x00\x00\x02\x00\x52\x00\x00\x00\x18\x00\x01\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x00\x00\x06\x00\x00\x00\x00\x00\x00\x00\x08\x03\x24\x00\x4c\x00\x6f\x00\x67\x00\x46\x00\x69\x00\x6c\x00\x65\x00\x00\x00\x00\x00\x00\x00\x80\x00\x00\x00\x48\x00\x00\x00\x01\x00\x40\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x3f\x00\x00\x00\x00\x00\x00\x00\x40\x00\x00\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x00\x00\x21\x40\x00\x01\x00\x00\x00\x00\xff\xff\xff\xff\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", 384);
*(uint64_t*)0x200002b0 = 0x180;
*(uint64_t*)0x200002b8 = 0x47e0;
*(uint64_t*)0x200002c0 = 0;
*(uint64_t*)0x200002c8 = 0;
*(uint64_t*)0x200002d0 = 0x49e0;
*(uint64_t*)0x200002d8 = 0x20010660;
memcpy((void*)0x20010660, "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x46\x49\x4c\x45\x30\x00\x03\x00\x00\x00\x00\x00\x00\x00\x00\x00\x03\x00\x01\x00\x38\x00\x01\x00\xe0\x01\x00\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x03\x00\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x48\x00\x00\x00\x00\x00\x18\x00\x00\x00\x00\x00\x30\x00\x00\x00\x18\x00\x00\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x06\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x30\x00\x00\x00\x68\x00\x00\x00\x00\x00\x18\x00\x00\x00\x01\x00\x50\x00\x00\x00\x18\x00\x01\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x00\x00\x00\x00\x07\x03\x24\x00\x56\x00\x6f\x00\x6c\x00\x75\x00\x6d\x00\x65\x00\x50\x00\x00\x00\x80\x00\x00\x00\x00\x00\x18\x00\x00\x00\x02\x00\x64\x00\x00\x00\x18\x00\x00\x00\x01\x00\x04\x80\x48\x00\x00\x00\x54\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x02\x00\x34\x00\x02\x00\x00\x00\x00\x00\x14\x00\x9f\x01\x12\x00\x01\x01\x00\x00\x00\x00\x00\x05\x12\x00\x00\x00\x00\x00\x18\x00\x9f\x01\x12\x00\x01\x02\x00\x00\x00\x00\x00\x05\x20\x00\x00\x00\x20\x02\x00\x00\x01\x01\x00\x00\x00\x00\x00\x05\x12\x00\x00\x00\x01\x02\x00\x00\x00\x00\x00\x05\x20\x00\x00\x00\x20\x02\x00\x00\x00\x00\x00\x00\x60\x00\x00\x00\x30\x00\x00\x00\x00\x00\x18\x00\x00\x00\x04\x00\x12\x00\x00\x00\x18\x00\x00\x00\x73\x00\x79\x00\x7a\x00\x6b\x00\x61\x00\x6c\x00\x6c\x00\x65\x00\x72\x00\x00\x00\x00\x00\x00\x00\x70\x00\x00\x00\x28\x00\x00\x00\x00\x00\x18\x00\x00\x00\x05\x00\x0c\x00\x00\x00\x18\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x03\x01\x00\x00\x00\x00\x00\x00\x80\x00\x00\x00\x18\x00\x00\x00\x00\x00\x18\x00\x00\x00\x03\x00\x00\x00\x00\x00\x18\x00\x00\x00\xff\xff\xff\xff\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x04\x00", 544);
*(uint64_t*)0x200002e0 = 0x220;
*(uint64_t*)0x200002e8 = 0x4be0;
*(uint64_t*)0x200002f0 = 0x20010880;
memcpy((void*)0x20010880, "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x04\x00\x46\x49\x4c\x45\x30\x00\x03\x00\x00\x00\x00\x00\x00\x00\x00\x00\x04\x00\x01\x00\x38\x00\x01\x00\xc0\x01\x00\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x04\x00\x00\x00\x02\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x48\x00\x00\x00\x00\x00\x18\x00\x00\x00\x00\x00\x30\x00\x00\x00\x18\x00\x00\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x06\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x30\x00\x00\x00\x70\x00\x00\x00\x00\x00\x18\x00\x00\x00\x02\x00\x52\x00\x00\x00\x18\x00\x01\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x10\x00\x00\x00\x00\x00\x00\x00\x0a\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x00\x00\x00\x00\x08\x03\x24\x00\x41\x00\x74\x00\x74\x00\x72\x00\x44\x00\x65\x00\x66\x00\x00\x00\x00\x00\x00\x00\x50\x00\x00\x00\x80\x00\x00\x00\x00\x00\x18\x00\x00\x00\x03\x00\x64\x00\x00\x00\x18\x00\x00\x00\x01\x00\x04\x80\x48\x00\x00\x00\x54\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x02\x00\x34\x00\x02\x00\x00\x00\x00\x00\x14\x00\x89\x00\x12\x00\x01\x01\x00\x00\x00\x00\x00\x05\x12\x00\x00\x00\x00\x00\x18\x00\x89\x00\x12\x00\x01\x02\x00\x00\x00\x00\x00\x05\x20\x00\x00\x00\x20\x02\x00\x00\x01\x01\x00\x00\x00\x00\x00\x05\x12\x00\x00\x00\x01\x02\x00\x00\x00\x00\x00\x05\x20\x00\x00\x00\x20\x02\x00\x00\x00\x00\x00\x00\x80\x00\x00\x00\x48\x00\x00\x00\x01\x00\x40\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x40\x00\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x00\x00\x00\x00\x0a\x00\x00\x00\x00\x00\x00\x00\x0a\x00\x00\x00\x00\x00\x00\x11\x01\x46\x00\x00\x00\x00\x00\xff\xff\xff\xff\x00\x00\x00\x00", 480);
*(uint64_t*)0x200002f8 = 0x1e0;
*(uint64_t*)0x20000300 = 0x4fe0;
*(uint64_t*)0x20000308 = 0;
*(uint64_t*)0x20000310 = 0;
*(uint64_t*)0x20000318 = 0x51e0;
*(uint64_t*)0x20000320 = 0x20010a80;
memcpy((void*)0x20010a80, "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x46\x49\x4c\x45\x30\x00\x03\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x01\x00\x38\x00\x03\x00\x00\x02\x00\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x05\x00\x00\x00\x03\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x48\x00\x00\x00\x00\x00\x18\x00\x00\x00\x00\x00\x30\x00\x00\x00\x18\x00\x00\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x26\x20\x00\x10\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x30\x00\x00\x00\x60\x00\x00\x00\x00\x00\x18\x00\x00\x00\x01\x00\x44\x00\x00\x00\x18\x00\x01\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x10\x00\x00\x00\x00\x01\x03\x2e\x00\x00\x00\x00\x00\x50\x00\x00\x00\x48\x00\x00\x00\x01\x00\x40\x00\x00\x00\x02\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x00\x40\x00\x00\x00\x00\x00\x00\x00\x00\x20\x00\x00\x00\x00\x00\x00\x2c\x10\x00\x00\x00\x00\x00\x00\x2c\x10\x00\x00\x00\x00\x00\x00\x11\x02\x43\x00\x00\x00\x00\x00\x90\x00\x00\x00\x58\x00\x00\x00\x00\x04\x18\x00\x00\x00\x03\x00\x38\x00\x00\x00\x20\x00\x00\x00\x24\x00\x49\x00\x33\x00\x30\x00\x30\x00\x00\x00\x01\x00\x00\x00\x00\x10\x00\x00\x01\x00\x00\x00\x10\x00\x00\x00\x28\x00\x00\x00\x28\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x03\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\xa0\x00\x00\x00\x50\x00\x00\x00\x01\x04\x40\x00\x00\x00\x05\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x48\x00\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x00\x00\x00\x24\x00\x49\x00\x33\x00\x30\x00\x11\x01\x45\x00\x00\x00\x00\x00\xb0\x00\x00\x00\x28\x00\x00\x00\x00\x04\x18\x00\x00\x00\x04\x00\x08\x00\x00\x00\x20\x00\x00\x00\x24\x00\x49\x00\x33\x00\x30\x00\x01\x00\x00\x00\x00\x00\x00\x00\xff\xff\xff\xff\x00\x00\x03\x00", 544);
*(uint64_t*)0x20000328 = 0x220;
*(uint64_t*)0x20000330 = 0x53e0;
*(uint64_t*)0x20000338 = 0x20010ca0;
memcpy((void*)0x20010ca0, "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x03\x00\x46\x49\x4c\x45\x30\x00\x03\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x01\x00\x38\x00\x01\x00\x50\x01\x00\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x03\x00\x00\x00\x06\x00\x00\x00\x02\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x60\x00\x00\x00\x00\x00\x18\x00\x00\x00\x00\x00\x48\x00\x00\x00\x18\x00\x00\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x06\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x30\x00\x00\x00\x68\x00\x00\x00\x00\x00\x18\x00\x00\x00\x02\x00\x50\x00\x00\x00\x18\x00\x01\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x10\x00\x00\x00\x00\x00\x00\x40\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x00\x00\x00\x00\x07\x03\x24\x00\x42\x00\x69\x00\x74\x00\x6d\x00\x61\x00\x70\x00\x80\x00\x00\x00\x48\x00\x00\x00\x01\x00\x40\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x40\x00\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x00\x00\x00\x40\x00\x00\x00\x00\x00\x00\x00\x40\x00\x00\x00\x00\x00\x00\x00\x11\x01\x47\x00\x00\x00\x00\x00\xff\xff\xff\xff\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", 384);
*(uint64_t*)0x20000340 = 0x180;
*(uint64_t*)0x20000348 = 0x57e0;
*(uint64_t*)0x20000350 = 0;
*(uint64_t*)0x20000358 = 0;
*(uint64_t*)0x20000360 = 0x59e0;
*(uint64_t*)0x20000368 = 0;
*(uint64_t*)0x20000370 = 0;
*(uint64_t*)0x20000378 = 0x5be0;
*(uint64_t*)0x20000380 = 0;
*(uint64_t*)0x20000388 = 0;
*(uint64_t*)0x20000390 = 0x5de0;
*(uint64_t*)0x20000398 = 0x20011040;
memcpy((void*)0x20011040, "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x46\x49\x4c\x45\x30\x00\x03\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x01\x00\x38\x00\x01\x00\x78\x01\x00\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x08\x00\x00\x00\x02\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x60\x00\x00\x00\x00\x00\x18\x00\x00\x00\x00\x00\x48\x00\x00\x00\x18\x00\x00\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x06\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x30\x00\x00\x00\x70\x00\x00\x00\x00\x00\x18\x00\x00\x00\x03\x00\x52\x00\x00\x00\x18\x00\x01\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x00\x00\x00\x00\x08\x03\x24\x00\x42\x00\x61\x00\x64\x00\x43\x00\x6c\x00\x75\x00\x73\x00\xff\xff\x00\x00\x00\x00\x80\x00\x00\x00\x18\x00\x00\x00\x00\x00\x18\x00\x00\x00\x02\x00\x00\x00\x00\x00\x18\x00\x00\x00\x80\x00\x00\x00\x50\x00\x00\x00\x01\x04\x40\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\xfe\x01\x00\x00\x00\x00\x00\x00\x48\x00\x00\x00\x00\x00\x00\x00\x00\xf0\x1f\x00\x00\x00\x00\x00\x00\xf0\x1f\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x24\x00\x42\x00\x61\x00\x64\x00\x02\xff\x01\x00\x00\x00\x00\x00\xff\xff\xff\xff\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", 416);
*(uint64_t*)0x200003a0 = 0x1a0;
*(uint64_t*)0x200003a8 = 0x5fe0;
*(uint64_t*)0x200003b0 = 0;
*(uint64_t*)0x200003b8 = 0;
*(uint64_t*)0x200003c0 = 0x61e0;
*(uint64_t*)0x200003c8 = 0x20011200;
memcpy((void*)0x20011200, "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x46\x49\x4c\x45\x30\x00\x03\x00\x00\x00\x00\x00\x00\x00\x00\x00\x09\x00\x01\x00\x38\x00\x09\x00\x00\x03\x00\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x09\x00\x00\x00\x03\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x60\x00\x00\x00\x00\x00\x18\x00\x00\x00\x00\x00\x48\x00\x00\x00\x18\x00\x00\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x06\x00\x00\x20\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x30\x00\x00\x00\x68\x00\x00\x00\x00\x00\x18\x00\x00\x00\x01\x00\x50\x00\x00\x00\x18\x00\x01\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x20\x00\x00\x00\x00\x07\x03\x24\x00\x53\x00\x65\x00\x63\x00\x75\x00\x72\x00\x65\x00\x80\x00\x00\x00\x50\x00\x00\x00\x01\x04\x40\x00\x00\x00\x02\x00\x00\x00\x00\x00\x00\x00\x00\x00\x40\x00\x00\x00\x00\x00\x00\x00\x48\x00\x00\x00\x00\x00\x00\x00\x00\x10\x04\x00\x00\x00\x00\x00\x70\x01\x04\x00\x00\x00\x00\x00\x70\x01\x04\x00\x00\x00\x00\x00\x24\x00\x53\x00\x44\x00\x53\x00\x11\x41\x48\x00\x00\x00\x00\x00\x90\x00\x00\x00\xe0\x00\x00\x00\x00\x04\x18\x00\x00\x00\x03\x00\xc0\x00\x00\x00\x20\x00\x00\x00\x24\x00\x53\x00\x44\x00\x48\x00\x00\x00\x00\x00\x12\x00\x00\x00\x00\x10\x00\x00\x01\x00\x00\x00\x10\x00\x00\x00\xb0\x00\x00\x00\xb0\x00\x00\x00\x00\x00\x00\x00\x18\x00\x14\x00\x00\x00\x00\x00\x30\x00\x08\x00\x00\x00\x00\x00\x51\x24\xb3\x00\x01\x01\x00\x00\x51\x24\xb3\x00\x01\x01\x00\x00\x80\x00\x00\x00\x00\x00\x00\x00\x7c\x00\x00\x00\x49\x00\x49\x00\x18\x00\x14\x00\x00\x00\x00\x00\x30\x00\x08\x00\x00\x00\x00\x00\xa0\xdd\xde\x42\x02\x01\x00\x00\xa0\xdd\xde\x42\x02\x01\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x64\x00\x00\x00\x49\x00\x49\x00\x18\x00\x14\x00\x00\x00\x00\x00\x30\x00\x08\x00\x00\x00\x03\x00\xf0\x12\x03\xf8\x00\x01\x00\x00\xf0\x12\x03\xf8\x00\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x7c\x00\x00\x00\x49\x00\x49\x00\x00\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x02\x00\x00\x00\x90\x00\x00\x00\xc8\x00\x00\x00\x00\x04\x18\x00\x00\x00\x04\x00\xa8\x00\x00\x00\x20\x00\x00\x00\x24\x00\x53\x00\x49\x00\x49\x00\x00\x00\x00\x00\x10\x00\x00\x00\x00\x10\x00\x00\x01\x00\x00\x00\x10\x00\x00\x00\x98\x00\x00\x00\x98\x00\x00\x00\x00\x00\x00\x00\x14\x00\x14\x00\x00\x00\x00\x00\x28\x00\x04\x00\x00\x00\x00\x00\x00\x01\x00\x00\xf0\x12\x03\xf8\x00\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x7c\x00\x00\x00\x14\x00\x14\x00\x00\x00\x00\x00\x28\x00\x04\x00\x00\x00\x00\x00\x01\x01\x00\x00\x51\x24\xb3\x00\x01\x01\x00\x00\x80\x00\x00\x00\x00\x00\x00\x00\x7c\x00\x00\x00\x14\x00\x14\x00\x00\x00\x00\x00\x28\x00\x04\x00\x00\x00\x00\x00\x02\x01\x00\x00\xa0\xdd\xde\x42\x02\x01\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x64\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x02\x00\x00\x00\xff\xff\xff\xff\x00\x00\x00\x00", 800);
*(uint64_t*)0x200003d0 = 0x320;
*(uint64_t*)0x200003d8 = 0x63e0;
*(uint64_t*)0x200003e0 = 0x20011520;
memcpy((void*)0x20011520, "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x03\x00\x46\x49\x4c\x45\x30\x00\x03\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0a\x00\x01\x00\x38\x00\x01\x00\x98\x01\x00\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x0a\x00\x00\x00\x02\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x60\x00\x00\x00\x00\x00\x18\x00\x00\x00\x00\x00\x48\x00\x00\x00\x18\x00\x00\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x06\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x30\x00\x00\x00\x68\x00\x00\x00\x00\x00\x18\x00\x00\x00\x03\x00\x50\x00\x00\x00\x18\x00\x01\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x00\x02\x00\x00\x00\x00\x00\x00\x00\x02\x00\x00\x00\x00\x00\x06\x00\x00\x00\x00\x00\x00\x00\x07\x03\x24\x00\x55\x00\x70\x00\x43\x00\x61\x00\x73\x00\x65\x00\x80\x00\x00\x00\x48\x00\x00\x00\x01\x00\x40\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x1f\x00\x00\x00\x00\x00\x00\x00\x40\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x00\x00\x00\x00\x00\x00\x02\x00\x00\x00\x00\x00\x00\x00\x02\x00\x00\x00\x00\x00\x21\x20\x89\x00\x00\x00\x00\x00\x80\x00\x00\x00\x48\x00\x00\x00\x00\x05\x18\x00\x00\x00\x02\x00\x20\x00\x00\x00\x28\x00\x00\x00\x24\x00\x49\x00\x6e\x00\x66\x00\x6f\x00\x00\x00\x00\x00\x00\x00\x20\x00\x00\x00\x00\x00\x00\x00\x0c\x69\x1b\x6b\x77\x7e\xdc\xda\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\xff\xff\xff\xff\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", 448);
*(uint64_t*)0x200003e8 = 0x1c0;
*(uint64_t*)0x200003f0 = 0x67e0;
*(uint64_t*)0x200003f8 = 0;
*(uint64_t*)0x20000400 = 0;
*(uint64_t*)0x20000408 = 0x69e0;
*(uint64_t*)0x20000410 = 0;
*(uint64_t*)0x20000418 = 0;
*(uint64_t*)0x20000420 = 0x6be0;
*(uint64_t*)0x20000428 = 0;
*(uint64_t*)0x20000430 = 0;
*(uint64_t*)0x20000438 = 0x6fe0;
*(uint64_t*)0x20000440 = 0;
*(uint64_t*)0x20000448 = 0;
*(uint64_t*)0x20000450 = 0x71e0;
*(uint64_t*)0x20000458 = 0;
*(uint64_t*)0x20000460 = 0;
*(uint64_t*)0x20000468 = 0x73e0;
*(uint64_t*)0x20000470 = 0;
*(uint64_t*)0x20000478 = 0;
*(uint64_t*)0x20000480 = 0x75e0;
*(uint64_t*)0x20000488 = 0;
*(uint64_t*)0x20000490 = 0;
*(uint64_t*)0x20000498 = 0x77e0;
*(uint64_t*)0x200004a0 = 0;
*(uint64_t*)0x200004a8 = 0;
*(uint64_t*)0x200004b0 = 0x79e0;
*(uint64_t*)0x200004b8 = 0;
*(uint64_t*)0x200004c0 = 0;
*(uint64_t*)0x200004c8 = 0x7be0;
*(uint64_t*)0x200004d0 = 0;
*(uint64_t*)0x200004d8 = 0;
*(uint64_t*)0x200004e0 = 0x7de0;
*(uint64_t*)0x200004e8 = 0;
*(uint64_t*)0x200004f0 = 0;
*(uint64_t*)0x200004f8 = 0x7fe0;
*(uint64_t*)0x20000500 = 0;
*(uint64_t*)0x20000508 = 0;
*(uint64_t*)0x20000510 = 0x81e0;
*(uint64_t*)0x20000518 = 0;
*(uint64_t*)0x20000520 = 0;
*(uint64_t*)0x20000528 = 0x83e0;
*(uint64_t*)0x20000530 = 0;
*(uint64_t*)0x20000538 = 0;
*(uint64_t*)0x20000540 = 0x85e0;
*(uint64_t*)0x20000548 = 0;
*(uint64_t*)0x20000550 = 0;
*(uint64_t*)0x20000558 = 0x87e0;
*(uint64_t*)0x20000560 = 0;
*(uint64_t*)0x20000568 = 0;
*(uint64_t*)0x20000570 = 0x89e0;
*(uint64_t*)0x20000578 = 0;
*(uint64_t*)0x20000580 = 0;
*(uint64_t*)0x20000588 = 0x8be0;
*(uint64_t*)0x20000590 = 0;
*(uint64_t*)0x20000598 = 0;
*(uint64_t*)0x200005a0 = 0x8de0;
*(uint64_t*)0x200005a8 = 0;
*(uint64_t*)0x200005b0 = 0;
*(uint64_t*)0x200005b8 = 0x8fe0;
*(uint64_t*)0x200005c0 = 0;
*(uint64_t*)0x200005c8 = 0;
*(uint64_t*)0x200005d0 = 0x91e0;
*(uint64_t*)0x200005d8 = 0;
*(uint64_t*)0x200005e0 = 0;
*(uint64_t*)0x200005e8 = 0x93e0;
*(uint64_t*)0x200005f0 = 0;
*(uint64_t*)0x200005f8 = 0;
*(uint64_t*)0x20000600 = 0x95e0;
*(uint64_t*)0x20000608 = 0;
*(uint64_t*)0x20000610 = 0;
*(uint64_t*)0x20000618 = 0x97e0;
*(uint64_t*)0x20000620 = 0;
*(uint64_t*)0x20000628 = 0;
*(uint64_t*)0x20000630 = 0x99e0;
*(uint64_t*)0x20000638 = 0;
*(uint64_t*)0x20000640 = 0;
*(uint64_t*)0x20000648 = 0x9be0;
*(uint64_t*)0x20000650 = 0;
*(uint64_t*)0x20000658 = 0;
*(uint64_t*)0x20000660 = 0x9de0;
*(uint64_t*)0x20000668 = 0;
*(uint64_t*)0x20000670 = 0;
*(uint64_t*)0x20000678 = 0x9fe0;
*(uint64_t*)0x20000680 = 0;
*(uint64_t*)0x20000688 = 0;
*(uint64_t*)0x20000690 = 0xa3e0;
*(uint64_t*)0x20000698 = 0;
*(uint64_t*)0x200006a0 = 0;
*(uint64_t*)0x200006a8 = 0xa5e0;
*(uint64_t*)0x200006b0 = 0;
*(uint64_t*)0x200006b8 = 0;
*(uint64_t*)0x200006c0 = 0xa7e0;
*(uint64_t*)0x200006c8 = 0;
*(uint64_t*)0x200006d0 = 0;
*(uint64_t*)0x200006d8 = 0xa9e0;
*(uint64_t*)0x200006e0 = 0x20012c20;
memcpy((void*)0x20012c20, "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x03\x00\x46\x49\x4c\x45\x2a\x00\x03\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x00\x01\x00\x30\x00\x03\x00\x88\x02\x00\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\xe3\x00\x00\x00\x00\x00\x10\x00\x00\x00\x60\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x48\x00\x00\x00\x18\x00\x00\x00\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x20\x20\x00\x10\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x30\x00\x00\x00\x68\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x00\x4c\x00\x00\x00\x18\x00\x01\x00\x05\x00\x00\x00\x00\x00\x05\x00\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x20\x20\x00\x10\x2d\x00\x00\x00\x05\x00\x66\x00\x69\x00\x6c\x00\x65\x00\x30\x00\x00\x00\x00\x00\x90\x00\x00\x00\x10\x01\x00\x00\x00\x04\x18\x00\x00\x00\x02\x00\xf0\x00\x00\x00\x20\x00\x00\x00\x24\x00\x49\x00\x33\x00\x30\x00\x30\x00\x00\x00\x01\x00\x00\x00\x00\x10\x00\x00\x01\x00\x00\x00\x10\x00\x00\x00\xe0\x00\x00\x00\xe0\x00\x00\x00\x00\x00\x00\x00\x1c\x00\x00\x00\x00\x00\x01\x00\x60\x00\x4c\x00\x00\x00\x00\x00\x1b\x00\x00\x00\x00\x00\x01\x00\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x00\x10\x00\x00\x00\x00\x00\x00\x1a\x04\x00\x00\x00\x00\x00\x00\x20\x00\x00\x00\x2d\x00\x00\x00\x05\x00\x66\x00\x69\x00\x6c\x00\x65\x00\x30\x00\x00\x00\x00\x00\x1d\x00\x00\x00\x00\x00\x01\x00\x60\x00\x4c\x00\x00\x00\x00\x00\x1b\x00\x00\x00\x00\x00\x01\x00\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x2d\x00\x00\x00\x05\x00\x66\x00\x69\x00\x6c\x00\x65\x00\x31\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\xe3\x00\x10\x00\x00\x00\x02\x00\x00\x00\xd0\x00\x00\x00\x20\x00\x00\x00\x00\x00\x18\x00\x00\x00\x03\x00\x08\x00\x00\x00\x18\x00\x00\x00\x2d\x00\x00\x00\x3c\x00\x00\x00\xe0\x00\x00\x00\x58\x00\x00\x00\x00\x00\x18\x00\x00\x00\x04\x00\x3c\x00\x00\x00\x18\x00\x00\x00\x14\x00\x00\x00\x00\x06\x04\x00", 616);
*(uint64_t*)0x200006e8 = 0x268;
*(uint64_t*)0x200006f0 = 0xabe0;
*(uint64_t*)0x200006f8 = 0;
*(uint64_t*)0x20000700 = 0;
*(uint64_t*)0x20000708 = 0;
*(uint64_t*)0x20000710 = 0;
*(uint64_t*)0x20000718 = 0;
*(uint64_t*)0x20000720 = 0;
*(uint64_t*)0x20000728 = 0;
*(uint64_t*)0x20000730 = 0;
*(uint64_t*)0x20000738 = 0;
*(uint64_t*)0x20000740 = 0;
*(uint64_t*)0x20000748 = 0;
*(uint64_t*)0x20000750 = 0;
*(uint64_t*)0x20000758 = 0;
*(uint64_t*)0x20000760 = 0;
*(uint64_t*)0x20000768 = 0;
*(uint64_t*)0x20000770 = 0;
*(uint64_t*)0x20000778 = 0;
*(uint64_t*)0x20000780 = 0;
*(uint64_t*)0x20000788 = 0;
*(uint64_t*)0x20000790 = 0;
*(uint64_t*)0x20000798 = 0;
*(uint64_t*)0x200007a0 = 0;
*(uint64_t*)0x200007a8 = 0;
*(uint64_t*)0x200007b0 = 0;
*(uint64_t*)0x200007b8 = 0;
*(uint64_t*)0x200007c0 = 0;
*(uint64_t*)0x200007c8 = 0;
*(uint64_t*)0x200007d0 = 0;
*(uint64_t*)0x200007d8 = 0;
*(uint64_t*)0x200007e0 = 0;
*(uint64_t*)0x200007e8 = 0;
*(uint64_t*)0x200007f0 = 0;
*(uint64_t*)0x200007f8 = 0;
*(uint64_t*)0x20000800 = 0;
*(uint64_t*)0x20000808 = 0;
*(uint64_t*)0x20000810 = 0;
*(uint64_t*)0x20000818 = 0;
*(uint64_t*)0x20000820 = 0;
*(uint64_t*)0x20000828 = 0;
*(uint64_t*)0x20000830 = 0;
*(uint64_t*)0x20000838 = 0;
*(uint64_t*)0x20000840 = 0;
*(uint64_t*)0x20000848 = 0;
*(uint64_t*)0x20000850 = 0;
*(uint64_t*)0x20000858 = 0;
*(uint64_t*)0x20000860 = 0;
*(uint64_t*)0x20000868 = 0;
*(uint64_t*)0x20000870 = 0;
*(uint64_t*)0x20000878 = 0;
*(uint64_t*)0x20000880 = 0;
*(uint64_t*)0x20000888 = 0;
*(uint64_t*)0x20000890 = 0;
*(uint64_t*)0x20000898 = 0;
*(uint64_t*)0x200008a0 = 0;
*(uint64_t*)0x200008a8 = 0;
*(uint64_t*)0x200008b0 = 0;
*(uint64_t*)0x200008b8 = 0;
*(uint64_t*)0x200008c0 = 0;
*(uint64_t*)0x200008c8 = 0;
*(uint64_t*)0x200008d0 = 0;
*(uint64_t*)0x200008d8 = 0;
*(uint64_t*)0x200008e0 = 0;
*(uint64_t*)0x200008e8 = 0;
*(uint64_t*)0x200008f0 = 0;
*(uint64_t*)0x200008f8 = 0;
*(uint64_t*)0x20000900 = 0;
*(uint64_t*)0x20000908 = 0;
*(uint64_t*)0x20000910 = 0;
*(uint64_t*)0x20000918 = 0;
*(uint64_t*)0x20000920 = 0;
*(uint64_t*)0x20000928 = 0;
*(uint64_t*)0x20000930 = 0;
*(uint64_t*)0x20000938 = 0;
*(uint64_t*)0x20000940 = 0;
*(uint64_t*)0x20000948 = 0;
*(uint64_t*)0x20000950 = 0;
*(uint64_t*)0x20000958 = 0;
*(uint64_t*)0x20000960 = 0;
*(uint64_t*)0x20000968 = 0;
*(uint64_t*)0x20000970 = 0;
*(uint64_t*)0x20000978 = 0;
*(uint64_t*)0x20000980 = 0;
*(uint64_t*)0x20000988 = 0;
*(uint64_t*)0x20000990 = 0;
*(uint64_t*)0x20000998 = 0;
*(uint64_t*)0x200009a0 = 0;
*(uint64_t*)0x200009a8 = 0x279e0;
*(uint64_t*)0x200009b0 = 0;
*(uint64_t*)0x200009b8 = 0;
*(uint64_t*)0x200009c0 = 0;
*(uint64_t*)0x200009c8 = 0;
*(uint64_t*)0x200009d0 = 0;
*(uint64_t*)0x200009d8 = 0;
*(uint64_t*)0x200009e0 = 0;
*(uint64_t*)0x200009e8 = 0;
*(uint64_t*)0x200009f0 = 0;
*(uint64_t*)0x200009f8 = 0;
*(uint64_t*)0x20000a00 = 0;
*(uint64_t*)0x20000a08 = 0;
*(uint64_t*)0x20000a10 = 0;
*(uint64_t*)0x20000a18 = 0;
*(uint64_t*)0x20000a20 = 0x299e0;
*(uint64_t*)0x20000a28 = 0;
*(uint64_t*)0x20000a30 = 0;
*(uint64_t*)0x20000a38 = 0;
*(uint64_t*)0x20000a40 = 0;
*(uint64_t*)0x20000a48 = 0;
*(uint64_t*)0x20000a50 = 0;
*(uint64_t*)0x20000a58 = 0;
*(uint64_t*)0x20000a60 = 0;
*(uint64_t*)0x20000a68 = 0;
*(uint64_t*)0x20000a70 = 0;
*(uint64_t*)0x20000a78 = 0;
*(uint64_t*)0x20000a80 = 0;
*(uint64_t*)0x20000a88 = 0;
*(uint64_t*)0x20000a90 = 0;
*(uint64_t*)0x20000a98 = 0;
*(uint64_t*)0x20000aa0 = 0;
*(uint64_t*)0x20000aa8 = 0;
*(uint64_t*)0x20000ab0 = 0;
*(uint64_t*)0x20000ab8 = 0;
*(uint64_t*)0x20000ac0 = 0;
*(uint64_t*)0x20000ac8 = 0x2b7e0;
*(uint64_t*)0x20000ad0 = 0;
*(uint64_t*)0x20000ad8 = 0;
*(uint64_t*)0x20000ae0 = 0;
*(uint64_t*)0x20000ae8 = 0;
*(uint64_t*)0x20000af0 = 0;
*(uint64_t*)0x20000af8 = 0x2bde0;
*(uint64_t*)0x20000b00 = 0;
*(uint64_t*)0x20000b08 = 0;
*(uint64_t*)0x20000b10 = 0;
*(uint64_t*)0x20000b18 = 0;
*(uint64_t*)0x20000b20 = 0;
*(uint64_t*)0x20000b28 = 0;
*(uint64_t*)0x20000b30 = 0;
*(uint64_t*)0x20000b38 = 0;
*(uint64_t*)0x20000b40 = 0x2c9e0;
*(uint64_t*)0x20000b48 = 0;
*(uint64_t*)0x20000b50 = 0;
*(uint64_t*)0x20000b58 = 0;
*(uint64_t*)0x20000b60 = 0;
*(uint64_t*)0x20000b68 = 0;
*(uint64_t*)0x20000b70 = 0;
*(uint64_t*)0x20000b78 = 0;
*(uint64_t*)0x20000b80 = 0;
*(uint64_t*)0x20000b88 = 0x2d9e0;
*(uint64_t*)0x20000b90 = 0;
*(uint64_t*)0x20000b98 = 0;
*(uint64_t*)0x20000ba0 = 0;
*(uint64_t*)0x20000ba8 = 0;
*(uint64_t*)0x20000bb0 = 0;
*(uint64_t*)0x20000bb8 = 0;
*(uint64_t*)0x20000bc0 = 0;
*(uint64_t*)0x20000bc8 = 0;
*(uint64_t*)0x20000bd0 = 0;
*(uint64_t*)0x20000bd8 = 0;
*(uint64_t*)0x20000be0 = 0;
*(uint64_t*)0x20000be8 = 0;
*(uint64_t*)0x20000bf0 = 0;
*(uint64_t*)0x20000bf8 = 0;
*(uint64_t*)0x20000c00 = 0;
*(uint64_t*)0x20000c08 = 0;
*(uint64_t*)0x20000c10 = 0;
*(uint64_t*)0x20000c18 = 0;
*(uint64_t*)0x20000c20 = 0;
*(uint64_t*)0x20000c28 = 0;
*(uint64_t*)0x20000c30 = 0;
*(uint64_t*)0x20000c38 = 0;
*(uint64_t*)0x20000c40 = 0;
*(uint64_t*)0x20000c48 = 0x309e0;
*(uint64_t*)0x20000c50 = 0;
*(uint64_t*)0x20000c58 = 0;
*(uint64_t*)0x20000c60 = 0x30be0;
*(uint64_t*)0x20000c68 = 0;
*(uint64_t*)0x20000c70 = 0;
*(uint64_t*)0x20000c78 = 0;
*(uint64_t*)0x20000c80 = 0;
*(uint64_t*)0x20000c88 = 0;
*(uint64_t*)0x20000c90 = 0x317e0;
*(uint64_t*)0x20000c98 = 0;
*(uint64_t*)0x20000ca0 = 0;
*(uint64_t*)0x20000ca8 = 0x319e0;
*(uint64_t*)0x20000cb0 = 0;
*(uint64_t*)0x20000cb8 = 0;
*(uint64_t*)0x20000cc0 = 0;
*(uint64_t*)0x20000cc8 = 0;
*(uint64_t*)0x20000cd0 = 0;
*(uint64_t*)0x20000cd8 = 0x327e0;
*(uint64_t*)0x20000ce0 = 0;
*(uint64_t*)0x20000ce8 = 0;
*(uint64_t*)0x20000cf0 = 0x329e0;
*(uint64_t*)0x20000cf8 = 0;
*(uint64_t*)0x20000d00 = 0;
*(uint64_t*)0x20000d08 = 0;
*(uint64_t*)0x20000d10 = 0;
*(uint64_t*)0x20000d18 = 0;
*(uint64_t*)0x20000d20 = 0;
*(uint64_t*)0x20000d28 = 0;
*(uint64_t*)0x20000d30 = 0;
*(uint64_t*)0x20000d38 = 0x339e0;
*(uint64_t*)0x20000d40 = 0;
*(uint64_t*)0x20000d48 = 0;
*(uint64_t*)0x20000d50 = 0x33be0;
*(uint64_t*)0x20000d58 = 0;
*(uint64_t*)0x20000d60 = 0;
*(uint64_t*)0x20000d68 = 0;
*(uint64_t*)0x20000d70 = 0;
*(uint64_t*)0x20000d78 = 0;
*(uint64_t*)0x20000d80 = 0x343e0;
*(uint64_t*)0x20000d88 = 0;
*(uint64_t*)0x20000d90 = 0;
*(uint64_t*)0x20000d98 = 0x345e0;
*(uint64_t*)0x20000da0 = 0;
*(uint64_t*)0x20000da8 = 0;
*(uint64_t*)0x20000db0 = 0;
*(uint64_t*)0x20000db8 = 0;
*(uint64_t*)0x20000dc0 = 0;
*(uint64_t*)0x20000dc8 = 0;
*(uint64_t*)0x20000dd0 = 0;
*(uint64_t*)0x20000dd8 = 0;
*(uint64_t*)0x20000de0 = 0x34de0;
*(uint64_t*)0x20000de8 = 0;
*(uint64_t*)0x20000df0 = 0;
*(uint64_t*)0x20000df8 = 0x34fe0;
*(uint64_t*)0x20000e00 = 0;
*(uint64_t*)0x20000e08 = 0;
*(uint64_t*)0x20000e10 = 0x353e0;
*(uint64_t*)0x20000e18 = 0;
*(uint64_t*)0x20000e20 = 0;
*(uint64_t*)0x20000e28 = 0x355e0;
*(uint64_t*)0x20000e30 = 0;
*(uint64_t*)0x20000e38 = 0;
*(uint64_t*)0x20000e40 = 0;
*(uint64_t*)0x20000e48 = 0;
*(uint64_t*)0x20000e50 = 0;
*(uint64_t*)0x20000e58 = 0x35be0;
*(uint64_t*)0x20000e60 = 0;
*(uint64_t*)0x20000e68 = 0;
*(uint64_t*)0x20000e70 = 0x35fe0;
*(uint64_t*)0x20000e78 = 0;
*(uint64_t*)0x20000e80 = 0;
*(uint64_t*)0x20000e88 = 0x361e0;
*(uint64_t*)0x20000e90 = 0;
*(uint64_t*)0x20000e98 = 0;
*(uint64_t*)0x20000ea0 = 0;
*(uint64_t*)0x20000ea8 = 0;
*(uint64_t*)0x20000eb0 = 0;
*(uint64_t*)0x20000eb8 = 0x36be0;
*(uint64_t*)0x20000ec0 = 0;
*(uint64_t*)0x20000ec8 = 0;
*(uint64_t*)0x20000ed0 = 0x36fe0;
*(uint64_t*)0x20000ed8 = 0;
*(uint64_t*)0x20000ee0 = 0;
*(uint64_t*)0x20000ee8 = 0x373e0;
*(uint64_t*)0x20000ef0 = 0;
*(uint64_t*)0x20000ef8 = 0;
*(uint64_t*)0x20000f00 = 0x375e0;
*(uint64_t*)0x20000f08 = 0;
*(uint64_t*)0x20000f10 = 0;
*(uint64_t*)0x20000f18 = 0;
*(uint64_t*)0x20000f20 = 0;
*(uint64_t*)0x20000f28 = 0;
*(uint64_t*)0x20000f30 = 0x379e0;
*(uint64_t*)0x20000f38 = 0;
*(uint64_t*)0x20000f40 = 0;
*(uint64_t*)0x20000f48 = 0x37be0;
*(uint64_t*)0x20000f50 = 0;
*(uint64_t*)0x20000f58 = 0;
*(uint64_t*)0x20000f60 = 0x37fe0;
*(uint64_t*)0x20000f68 = 0;
*(uint64_t*)0x20000f70 = 0;
*(uint64_t*)0x20000f78 = 0;
*(uint64_t*)0x20000f80 = 0;
*(uint64_t*)0x20000f88 = 0;
*(uint64_t*)0x20000f90 = 0x389e0;
*(uint64_t*)0x20000f98 = 0;
*(uint64_t*)0x20000fa0 = 0;
*(uint64_t*)0x20000fa8 = 0x38be0;
*(uint64_t*)0x20000fb0 = 0;
*(uint64_t*)0x20000fb8 = 0;
*(uint64_t*)0x20000fc0 = 0x38fe0;
*(uint64_t*)0x20000fc8 = 0;
*(uint64_t*)0x20000fd0 = 0;
*(uint64_t*)0x20000fd8 = 0x391e0;
*(uint64_t*)0x20000fe0 = 0;
*(uint64_t*)0x20000fe8 = 0;
*(uint64_t*)0x20000ff0 = 0;
*(uint64_t*)0x20000ff8 = 0;
*(uint64_t*)0x20001000 = 0;
*(uint64_t*)0x20001008 = 0;
*(uint64_t*)0x20001010 = 0;
*(uint64_t*)0x20001018 = 0;
*(uint64_t*)0x20001020 = 0x3a1e0;
*(uint64_t*)0x20001028 = 0;
*(uint64_t*)0x20001030 = 0;
*(uint64_t*)0x20001038 = 0;
*(uint64_t*)0x20001040 = 0;
*(uint64_t*)0x20001048 = 0;
*(uint64_t*)0x20001050 = 0;
*(uint64_t*)0x20001058 = 0;
*(uint64_t*)0x20001060 = 0;
*(uint64_t*)0x20001068 = 0x3abe0;
*(uint64_t*)0x20001070 = 0;
*(uint64_t*)0x20001078 = 0;
*(uint64_t*)0x20001080 = 0;
*(uint64_t*)0x20001088 = 0;
*(uint64_t*)0x20001090 = 0;
*(uint64_t*)0x20001098 = 0x3b1e0;
*(uint64_t*)0x200010a0 = 0;
*(uint64_t*)0x200010a8 = 0;
*(uint64_t*)0x200010b0 = 0x3b3e0;
*(uint64_t*)0x200010b8 = 0;
*(uint64_t*)0x200010c0 = 0;
*(uint64_t*)0x200010c8 = 0;
*(uint64_t*)0x200010d0 = 0;
*(uint64_t*)0x200010d8 = 0;
*(uint64_t*)0x200010e0 = 0x3b9e0;
*(uint64_t*)0x200010e8 = 0;
*(uint64_t*)0x200010f0 = 0;
*(uint64_t*)0x200010f8 = 0x3bbe0;
*(uint64_t*)0x20001100 = 0;
*(uint64_t*)0x20001108 = 0;
*(uint64_t*)0x20001110 = 0x3bde0;
*(uint64_t*)0x20001118 = 0;
*(uint64_t*)0x20001120 = 0;
*(uint64_t*)0x20001128 = 0x3bfe0;
*(uint64_t*)0x20001130 = 0;
*(uint64_t*)0x20001138 = 0;
*(uint64_t*)0x20001140 = 0x3c1e0;
*(uint64_t*)0x20001148 = 0;
*(uint64_t*)0x20001150 = 0;
*(uint64_t*)0x20001158 = 0;
*(uint64_t*)0x20001160 = 0;
*(uint64_t*)0x20001168 = 0;
*(uint64_t*)0x20001170 = 0;
*(uint64_t*)0x20001178 = 0;
*(uint64_t*)0x20001180 = 0;
*(uint64_t*)0x20001188 = 0x3cbe0;
*(uint64_t*)0x20001190 = 0;
*(uint64_t*)0x20001198 = 0;
*(uint64_t*)0x200011a0 = 0x3cfe0;
*(uint64_t*)0x200011a8 = 0;
*(uint64_t*)0x200011b0 = 0;
*(uint64_t*)0x200011b8 = 0;
*(uint64_t*)0x200011c0 = 0;
*(uint64_t*)0x200011c8 = 0;
*(uint64_t*)0x200011d0 = 0;
*(uint64_t*)0x200011d8 = 0;
*(uint64_t*)0x200011e0 = 0;
*(uint64_t*)0x200011e8 = 0;
*(uint64_t*)0x200011f0 = 0;
*(uint64_t*)0x200011f8 = 0;
*(uint64_t*)0x20001200 = 0;
*(uint64_t*)0x20001208 = 0;
*(uint64_t*)0x20001210 = 0;
*(uint64_t*)0x20001218 = 0;
*(uint64_t*)0x20001220 = 0;
*(uint64_t*)0x20001228 = 0;
*(uint64_t*)0x20001230 = 0;
*(uint64_t*)0x20001238 = 0;
*(uint64_t*)0x20001240 = 0;
*(uint64_t*)0x20001248 = 0;
*(uint64_t*)0x20001250 = 0;
*(uint64_t*)0x20001258 = 0;
*(uint64_t*)0x20001260 = 0;
*(uint64_t*)0x20001268 = 0;
*(uint64_t*)0x20001270 = 0;
*(uint64_t*)0x20001278 = 0;
*(uint64_t*)0x20001280 = 0;
*(uint64_t*)0x20001288 = 0;
*(uint64_t*)0x20001290 = 0x417e0;
*(uint64_t*)0x20001298 = 0;
*(uint64_t*)0x200012a0 = 0;
*(uint64_t*)0x200012a8 = 0;
*(uint64_t*)0x200012b0 = 0;
*(uint64_t*)0x200012b8 = 0;
*(uint64_t*)0x200012c0 = 0;
*(uint64_t*)0x200012c8 = 0;
*(uint64_t*)0x200012d0 = 0;
*(uint64_t*)0x200012d8 = 0;
*(uint64_t*)0x200012e0 = 0;
*(uint64_t*)0x200012e8 = 0;
*(uint64_t*)0x200012f0 = 0;
*(uint64_t*)0x200012f8 = 0x2001aa40;
memcpy((void*)0x2001aa40, "\x49\x4e\x44\x58\x28\x00\x09\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x28\x00\x00\x00\xb8\x06\x00\x00\xe8\x0f\x00\x00\x00\x00\x00\x00\x0d\x00\xd8\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x00\x00\x04\x00\x68\x00\x52\x00\x00\x00\x00\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x10\x00\x00\x00\x00\x00\x00\x00\x0a\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x00\x00\x00\x00\x08\x03\x24\x00\x41\x00\x74\x00\x74\x00\x72\x00\x44\x00\x65\x00\x66\x00\x00\x00\x00\x00\x01\x00\x08\x00\x00\x00\x00\x00\x08\x00\x68\x00\x52\x00\x00\x00\x00\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x00\x00\x00\x00\x08\x03\x24\x00\x42\x00\x61\x00\x64\x00\x43\x00\x6c\x00\x75\x00\x73\x00\x00\x00\x00\x00\x07\x00\x06\x00\x00\x00\x00\x00\x06\x00\x60\x00\x50\x00\x00\x00\x00\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x10\x00\x00\x00\x00\x00\x00\x40\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x00\x00\x00\x00\x07\x03\x24\x00\x42\x00\x69\x00\x74\x00\x6d\x00\x61\x00\x70\x00\x07\x00\x00\x00\x00\x00\x07\x00\x60\x00\x4c\x00\x00\x00\x00\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x20\x00\x00\x00\x00\x00\x00\x00\x20\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x00\x00\x00\x00\x05\x03\x24\x00\x42\x00\x6f\x00\x6f\x00\x74\x00\x69\x00\x6c\x00\x0b\x00\x00\x00\x00\x00\x0b\x00\x60\x00\x50\x00\x00\x00\x00\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\x0d\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x10\x00\x00\x00\x00\x07\x03\x24\x00\x45\x00\x78\x00\x74\x00\x65\x00\x6e\x00\x64\x00\x02\x00\x00\x00\x00\x00\x02\x00\x68\x00\x52\x00\x00\x00\x00\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x00\x00\x06\x00\x00\x00\x00\x00\x00\x00\x08\x03\x24\x00\x4c\x00\x6f\x00\x67\x00\x46\x00\x69\x00\x6c\x00\x65\x00\x00\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x00\x01\x00\x60\x00\x4a\x00\x00\x00\x00\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x70\x00\x00\x00\x00\x00\x00\x00\x6c\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x00\x00\x00\x00\x04\x03\x24\x00\x4d\x00\x46\x00\x54\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x00\x00\x01\x00\x68\x00\x52\x00\x00\x00\x00\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x10\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x00\x00\x00\x00\x08\x03\x24\x00\x4d\x00\x46\x00\x54\x00\x4d\x00\x69\x00\x72\x00\x72\x00\x00\x00\x02\x00\x00\x00\x09\x00\x00\x00\x00\x00\x09\x00\x60\x00\x50\x00\x00\x00\x00\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x20\x00\x00\x00\x00\x07\x03\x24\x00\x53\x00\x65\x00\x63\x00\x75\x00\x72\x00\x65\x00\x0a\x00\x00\x00\x00\x00\x0a\x00\x60\x00\x50\x00\x00\x00\x00\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x00\x02\x00\x00\x00\x0d\x00\x00\x00\x02\x00\x00\x00\x00\x00\x06\x00\x00\x00\x00\x00\x00\x00\x07\x03\x24\x00\x55\x00\x70\x00\x43\x00\x61\x00\x73\x00\x65\x00\x03\x00\x00\x00\x00\x00\x03\x00\x60\x00\x50\x00\x00\x00\x00\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x00\x00\x00\x00\x07\x03\x24\x00\x56\x00\x6f\x00\x6c\x00\x75\x00\x6d\x00\x65\x00\x05\x00\x00\x00\x00\x00\x05\x00\x58\x00\x44\x00\x00\x00\x00\x00\x05\x00\x00\x00\x00\x00\x05\x00\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x80\x18\x75\xc1\x34\x4f\xd8\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x10\x00\x00\x00\x00\x01\x03\x2e\x00\x00\x00\x00\x00\x20\x00\x00\x00\x00\x00\x01\x00\x68\x00\x54\x00\x00\x00\x00\x00\x05\x00\x00\x00\x00\x00\x05\x00\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x00\x10\x00\x00\x00\x00\x00\x00\x64\x00\x00\x00\x00\x00\x00\x00\x20\x00\x00\x00\x2d\x00\x00\x00\x09\x00\x66\x00\x69\x00\x6c\x00\x65\x00\x2e\x00\x63\x00\x6f\x00\x6c\x00\x64\x00\x00\x00\x00\x00\x1b\x00\x00\x00\x00\x00\x01\x00\x60\x00\x4c\x00\x00\x00\x00\x00\x05\x00\x00\x00\x00\x00\x05\x00\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x20\x20\x00\x10\x2d\x00\x00\x00\x05\x00\x66\x00\x69\x00\x6c\x00\x65\x00\x30\x00\x00\x00\x00\x00\x1e\x00\x00\x00\x00\x00\x01\x00\x60\x00\x4c\x00\x00\x00\x00\x00\x05\x00\x00\x00\x00\x00\x05\x00\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x00\x10\x00\x00\x00\x00\x00\x00\x0a\x00\x00\x00\x00\x00\x00\x00\x20\x00\x00\x00\x59\x00\x00\x00\x05\x00\x66\x00\x69\x00\x6c\x00\x65\x00\x31\x00\x00\x00\x0d\x00\x1f\x00\x00\x00\x00\x00\x01\x00\x60\x00\x4c\x00\x00\x00\x00\x00\x05\x00\x00\x00\x00\x00\x05\x00\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x00\x30\x00\x00\x00\x00\x00\x00\x28\x23\x00\x00\x00\x00\x00\x00\x20\x00\x00\x00\x2d\x00\x00\x00\x05\x00\x66\x00\x69\x00\x6c\x00\x65\x00\x32\x00\x00\x00\x00\x00\x1f\x00\x00\x00\x00\x00\x01\x00\x60\x00\x4c\x00\x00\x00\x00\x00\x05\x00\x00\x00\x00\x00\x05\x00\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x91\x35\xba\xc1\x34\x4f\xd8\x01\x00\x30\x00\x00\x00\x00\x00\x00\x28\x23\x00\x00\x00\x00\x00\x00\x20\x00\x00\x00\x2d\x00\x00\x00\x05\x00\x66\x00\x69\x00\x6c\x00\x65\x00\x33\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x10\x00\x00\x00\x02", 1741);
*(uint64_t*)0x20001300 = 0x6cd;
*(uint64_t*)0x20001308 = 0x45000;
*(uint64_t*)0x20001310 = 0;
*(uint64_t*)0x20001318 = 0;
*(uint64_t*)0x20001320 = 0x457e0;
*(uint64_t*)0x20001328 = 0;
*(uint64_t*)0x20001330 = 0;
*(uint64_t*)0x20001338 = 0x459e0;
*(uint64_t*)0x20001340 = 0;
*(uint64_t*)0x20001348 = 0;
*(uint64_t*)0x20001350 = 0x45be0;
*(uint64_t*)0x20001358 = 0;
*(uint64_t*)0x20001360 = 0;
*(uint64_t*)0x20001368 = 0x45de0;
*(uint64_t*)0x20001370 = 0;
*(uint64_t*)0x20001378 = 0;
*(uint64_t*)0x20001380 = 0x45fe0;
*(uint64_t*)0x20001388 = 0x2001b200;
memset((void*)0x2001b200, 16, 1);
*(uint64_t*)0x20001390 = 1;
*(uint64_t*)0x20001398 = 0x46080;
*(uint64_t*)0x200013a0 = 0;
*(uint64_t*)0x200013a8 = 0;
*(uint64_t*)0x200013b0 = 0;
*(uint64_t*)0x200013b8 = 0;
*(uint64_t*)0x200013c0 = 0;
*(uint64_t*)0x200013c8 = 0;
*(uint64_t*)0x200013d0 = 0;
*(uint64_t*)0x200013d8 = 0;
*(uint64_t*)0x200013e0 = 0;
*(uint64_t*)0x200013e8 = 0;
*(uint64_t*)0x200013f0 = 0;
*(uint64_t*)0x200013f8 = 0;
*(uint64_t*)0x20001400 = 0;
*(uint64_t*)0x20001408 = 0;
*(uint64_t*)0x20001410 = 0x88000;
*(uint64_t*)0x20001418 = 0;
*(uint64_t*)0x20001420 = 0;
*(uint64_t*)0x20001428 = 0;
*(uint64_t*)0x20001430 = 0;
*(uint64_t*)0x20001438 = 0;
*(uint64_t*)0x20001440 = 0;
*(uint8_t*)0x2007c6a0 = 0;
	res = -1;
res = syz_mount_image(0x20000000, 0x20000100, 0, 0xc3, 0x20000200, 0, 0x2007c6a0);
	if (res != -1)
		r[0] = res;
memcpy((void*)0x20003cc0, "./file0\000", 8);
	syscall(__NR_statx, r[0], 0x20003cc0ul, 0x100ul, 8ul, 0ul);
	return 0;
}
